import { Argv } from 'yargs';
export declare function withExcludeOption(yargs: Argv): Argv;
export declare function withRunOptions(yargs: Argv): Argv;
export declare function withTargetAndConfigurationOption(yargs: Argv, demandOption?: boolean): Argv;
export declare function withConfiguration(yargs: Argv): Argv<{
    configuration: string;
}>;
export declare function withAffectedOptions(yargs: Argv): Argv;
export declare function withRunManyOptions(yargs: Argv): Argv;
export declare function withOverrides(args: any): any;
export declare function withOutputStyleOption(yargs: Argv, choices?: string[]): Argv;
export declare function withDepGraphOptions(yargs: Argv): Argv;
export declare function withRunOneOptions(yargs: Argv): Argv<{
    project: string;
} & {
    help: boolean;
}>;
export declare function parseCSV(args: string[] | string): string | string[];
